<template>
  <main>
    <h1>{{ title }}</h1>
    <ul>
      <li v-for="breed in breeds">
        {{ breed }}
        <ul v-if="hasSubBreeds(breed)">
          <li v-for="sub in subBreeds(breed)">
            {{ sub }}
          </li>
        </ul>
      </li>
    </ul>
  </main>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  data: () => ({
    title: "Dog Breeds"
  }),
  computed: {
    ...mapGetters({
      message: 'payload'
    }),
    breeds() {
      return Object.keys(this.message);
    }
  },
  methods: {
    hasSubBreeds(breed) {
      return this.message[breed].length > 0;
    },
    subBreeds(breed) {
      return this.message[breed];
    }
  },
}
</script>
